curl --request PATCH \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-listing/{campaign_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Bola-Bola Ad campaign",
"isActive": true,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"exclusivityPrice": 123,
"position": 10
}
'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-listing/{campaign_id}"
payload = {
"name": "Bola-Bola Ad campaign",
"isActive": True,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"exclusivityPrice": 123,
"position": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Bola-Bola Ad campaign',
isActive: true,
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
exclusivityPrice: 123,
position: 10
})
};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-listing/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Bola-Bola Ad campaign",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exclusivityPrice": 123,
"chargeType": "DAILY",
"adFormat": "exclusive_listing",
"vendorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isActive": true,
"externalCampaignId": "<string>",
"isAutoTrigger": false,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "9999-12-31T22:59:59.999999Z",
"bidType": "exclusive",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}[BETA] Update exclusive listing campaign by ID.
Endpoint to update fields for a given exclusive listing campaign.
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
The ID of the campaign to be updated.
Body
The public request body for updating an exclusive listing campaign.
The name of the campaign.
1"Bola-Bola Ad campaign"
Whether the campaign should be activated upon creation.The campaign will start when this is set and the start_date has passed.
When should the campaign start. If the start date is in the past, it will be set to the current date.
When should the campaign stop. Must be greater than start date.
The price to pay daily for the campaign to run.
The rank the ad will have in the auction
1 <= x <= 20Response
Successful Response
Model that represents an Exclusive Listing Campaign.
The name of the campaign.
1"Bola-Bola Ad campaign"
The ID of the marketplace.
The ID of the campaign.
The price to pay daily for the campaign to run.
How exclusive campaigns are going to be charged, only daily is allowed.
DAILY The ad format of the campaign. Can be exclusive_listing.
"exclusive_listing""exclusive_listing"
The marketplace's ID of the vendor.
When was this campaign created.
When was this campaign last updated.
Whether the campaign should be activated upon creation.The campaign will start when this is set and the start_date has passed.
The external ID of the campaign in the marketplace.
Whether the campaign is auto-triggered.
The bidding type of the campaign.
"exclusive"The ID of the user creating the campaign.
The rank the ad will have in the auction
1 <= x <= 20The uuid of the wallet to be used with this campaign.
Was this page helpful?